# Generated by go2rpm 1.1
%bcond_without check

# https://github.com/cli/cli
%global goipath         github.com/cli/cli
Version:                1.1.0

%gometa

%global common_description %{expand:
GitHub's official command line tool.}

%global golicenses      LICENSE
%global godocs          docs README.md 

Name:           github-cli
Release:        1%{?dist}
Summary:        GitHub's official command line tool

License:        MIT
URL:            %{gourl}
Source0:        %{gosource}

BuildRequires:  golang(github.com/AlecAivazis/survey)
BuildRequires:  golang(github.com/AlecAivazis/survey/core)
BuildRequires:  golang(github.com/AlecAivazis/survey/terminal)
BuildRequires:  golang(github.com/briandowns/spinner)
BuildRequires:  golang(github.com/charmbracelet/glamour)
BuildRequires:  golang(github.com/enescakir/emoji)
BuildRequires:  golang(github.com/google/shlex)
BuildRequires:  golang(github.com/hashicorp/go-version)
BuildRequires:  golang(github.com/henvic/httpretty)
BuildRequires:  golang(github.com/kballard/go-shellquote)
BuildRequires:  golang(github.com/MakeNowJust/heredoc)
BuildRequires:  golang(github.com/mattn/go-colorable)
BuildRequires:  golang(github.com/mattn/go-isatty)
BuildRequires:  golang(github.com/mattn/go-runewidth)
BuildRequires:  golang(github.com/mgutz/ansi)
BuildRequires:  golang(github.com/mitchellh/go-homedir)
BuildRequires:  golang(github.com/rivo/uniseg)
BuildRequires:  golang(github.com/shurcooL/githubv4)
# Use GitHub's fork until https://github.com/shurcooL/graphql/pull/57 gets merged.
# BuildRequires:  golang(github.com/shurcooL/graphql)
BuildRequires:  golang(github.com/cli/shurcooL-graphql)
BuildRequires:  golang(github.com/spf13/cobra)
BuildRequires:  golang(github.com/spf13/cobra/doc)
BuildRequires:  golang(github.com/spf13/pflag)
BuildRequires:  golang(golang.org/x/crypto/ssh/terminal)
BuildRequires:  golang(gopkg.in/yaml.v3)
BuildRequires:  sed

%if %{with check}
# Tests
BuildRequires:  golang(github.com/google/go-cmp/cmp)
BuildRequires:  golang(github.com/stretchr/testify/assert)
BuildRequires:  golang(github.com/stretchr/testify/require)
%endif

%description
%{common_description}

%gopkg

%prep
%goprep

# We don't support modules so we'll fix that here.
sed -i "s|github.com/AlecAivazis/survey/v2|github.com/AlecAivazis/survey|" $(find . -name "*.go")

# Use GitHub's fork until https://github.com/shurcooL/graphql/pull/57 gets merged.
sed -i 's|github.com/shurcooL/graphql|github.com/cli/shurcooL-graphql|' $(find . -name "*.go" -type f)


%build
for cmd in cmd/* ; do
  %gobuild -o %{gobuilddir}/bin/$(basename $cmd) %{goipath}/$cmd
done

%install
%gopkginstall
install -m 0755 -vd                     %{buildroot}%{_bindir}
install -m 0755 -vp %{gobuilddir}/bin/* %{buildroot}%{_bindir}/
mkdir -p %{buildroot}%{_datadir}/bash-completion/completions
%{gobuilddir}/bin/gh completion --shell bash >> %{buildroot}%{_datadir}/bash-completion/completions/gh

%if %{with check}
%check
%gocheck
%endif

%files
%license LICENSE
%doc docs README.md script/changelog pkg/cmd/gist/fixture.txt
%{_bindir}/*
%{_datadir}/bash-completion/completions/gh

%gopkgfiles

%changelog
* Tue Oct 06 2020 Joe Doss <joe@solidadmin.com> - 1.1.0-1
- Initial package

